Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.action
Class ResultEventFactorySelector

    java.lang.Object
      org.springframework.webflow.action.ResultEventFactorySelector

    public class ResultEventFactorySelector

extends java.lang.Object

Helper that selects the `ResultEventFactory` to use for a particular result object.

Author:
  Keith Donald
See Also:
  `EvaluateAction`

Constructor Summary
`ResultEventFactorySelector()`

Method Summary
`ResultEventFactory` | `forMethod(java.lang.reflect.Method method)` Select the appropriate result event factory for attempts to invoke the given method.
`ResultEventFactory` | `forResult(java.lang.Object result)` Select the appropriate result event factory for the given result.
`protected ResultEventFactory` | `forType(java.lang.Class resultType)` Select the appropriate result event factory for given result type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultEventFactorySelector

    public ResultEventFactorySelector()

Method Detail

### forMethod

    public ResultEventFactory forMethod(java.lang.reflect.Method method)

  Select the appropriate result event factory for attempts to invoke the given method.

  Parameters:
    `method` - the method
  Returns:
    the result event factory

### forResult

    public ResultEventFactory forResult(java.lang.Object result)

  Select the appropriate result event factory for the given result.

  Parameters:
    `result` - the result
  Returns:
    the result event factory

### forType

    protected ResultEventFactory forType(java.lang.Class resultType)

  Select the appropriate result event factory for given result type. This implementation returns `ResultObjectBasedEventFactory` if the type is `mapped` by that result event factory, otherwise `SuccessEventFactory` is returned.

  Parameters:
    `resultType` - the result type
  Returns:
    the result event factory

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD